# $Revision: 1.13.2.1 $, $Date: 2003/03/13 00:56:47 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%include	/usr/lib/rpm/macros.perl
%define	pdir	Curses
%define	pnam	Curses
Summary:	Curses perl module
Summary(pl):	Modu perla Curses
Name:		perl-Curses
Version:	1.06
Release:	4
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl-devel >= 5.6
BuildRequires:	ncurses-devel	
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl Curses modules.

%description -l pl
Modu perla Curses.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_sitelib}/Curses

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_sitearch}/*.pm
%dir %{perl_sitearch}/auto/Curses
%dir %{perl_sitelib}/Curses
%{perl_sitearch}/auto/Curses/Curses.bs
%attr(755,root,root) %{perl_sitearch}/auto/Curses/Curses.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Curses.spec,v $
Revision 1.13.2.1  2003/03/13 00:56:47  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.13  2003/02/25 00:38:29  radek
- use the __perl macro

Revision 1.12  2003/02/18 15:30:19  ankry
- massive attack: change CPAN URLs

Revision 1.11  2002/09/13 11:18:06  grabba
- improved BR, added perl_sitelib/Curses directory
- new %%doc
- release 3, STBR

Revision 1.10  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.9  2002/03/03 21:11:40  marcus
-rel.2.

Revision 1.8  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/10 15:25:06  depesz
adapterized

Revision 1.6  2002/02/09 13:59:30  depesz
corrected paths

Revision 1.5  2002/01/18 02:14:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/07/30 15:59:33  kloczek
- cosmetics.

Revision 1.3  2001/07/30 13:12:00  waszi
- typo

Revision 1.2  2001/07/30 12:54:04  waszi
- fixed tags

Revision 1.1  2001/07/30 12:53:30  waszi
- added
